"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const formatters_1 = require("../formatters");
exports.FormattersFactory = (formatters = []) => formatters.map(each => {
    let Formatter;
    if (each.module) {
        Formatter = require(each.module);
    }
    else if (each.formatter) {
        Formatter = formatters_1.Formatters.get(each.formatter);
    }
    else {
        throw new Error("INVALIDFORMATTER: Formatter must have 'module' or 'formatter' properties");
    }
    return Formatter;
});
