"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const transporters_1 = require("../transporters");
exports.TransportsFactory = (transporters = []) => transporters.map(each => {
    let Transporter;
    if (each.module) {
        Transporter = require(each.module);
    }
    else if (each.transporter) {
        Transporter = transporters_1.Transporters.get(each.transporter);
    }
    else {
        throw new Error("INVALIDTRANSPORTER: Transporter must have 'module' or 'transporter' properties");
    }
    return new Transporter(each.properties);
});
